import { meta, title } from './global';
import type { Education, Experience, Project, Skill } from './types';

export const title1 = 'Stratégie';
export const title2 = 'Réalisation';
export const title3 = 'Innovation';

export const text1 = meta.description;
export const text2 =
	"J'accompagne les entreprises dans leurs projets stratégiques, de la conception à la mise en œuvre, pour des solutions numériques sur mesure et impactantes.";
export const text3 =
	"Je consacre une part importante de mon temps à la veille technologique, ce qui me permet de rester à la pointe des innovations du secteur. Cette expertise me permet d'apporter des solutions novatrices aux entreprises, optimisant ainsi leurs performances et leur croissance. N'hésitez pas à découvrir comment je peux contribuer à votre projet !";

export const imgTitle = title;

export const skills: Skill[] = [
	{
		icon: 'eos-icons:project-outlined',
		title: 'Design Authority',
		text: 'Conduite de projets avec une approche axée sur la meilleure option stratégique, intégrant l’analyse des besoins, la gestion des contraintes, l’adaptation aux changements, et le respect des coûts et délais.'
	},
	{
		icon: 'mdi:code',
		title: 'Développement full-stack',
		text: 'Expertise en développement full-stack avec maîtrise de Python, Svelte, TypeScript et Supabase, intégrant des workflows CI/CD optimisés via GitHub Actions et GitLab pour des déploiements fluides et performants.'
	},

	{
		icon: 'carbon:ai',
		title: 'IA / Chatbot',
		text: 'Développement de solutions IA et chatbots intelligents, intégrant des techniques de Retrieval-Augmented Generation (RAG) et des standards de sécurité avancés pour des interactions utilisateur enrichies, sécurisées, et des réponses précises adaptées aux besoins des entreprises.'
	},
	{
		icon: 'mdi:docker',
		title: 'Infrastructure',
		text: 'Maîtrise des infrastructures modernes avec Docker, Kubernetes et le cloud pour déployer des applications SaaS robustes, en configurant les éléments nécessaires pour garantir performance et évolutivité.'
	},
	{
		icon: 'mdi:web',
		title: 'Création de site web',
		text: 'Conception de sites web modernes et sur mesure, alliant simplicité et optimisation SEO pour une visibilité renforcée et une expérience utilisateur fluide.'
	},
	{
		icon: 'material-symbols:home-work-outline',
		title: 'Self hosting',
		text: 'Mise en place de solutions en self-hosting, garantissant souveraineté et contrôle total des données pour les entreprises soucieuses de leur indépendance technologique et de la sécurité de leurs informations.'
	}
];

export const experiences: Experience[] = [
	{
		company: 'Pyxis Support',
		role: 'Directeur de la division digitale',
		date: '2021 - 2024',
		description: [
			// "En tant que premier profil technique recruté, j'ai joué un rôle central dans la création d’un nouvel axe commercial dans une entreprise de conseil spécialisée dans les marchés publics. Mon impact s'est concrétisé par le développement de deux applications SaaS innovantes : MA-IA et LEX-IA.",
			// 'Maîtrise du Cycle de Vie des Produits SaaS',
			// "J'ai orchestré l'intégralité du processus de création et de gestion de nos solutions :|- Analyse approfondie et optimisation du besoin|- Conception de solutions techniques|- Sélection des technologies|- Développement et tests|- Gestion du déploiement et de la maintenance opérationnelle|- Optimisation continue des coûts et de la performance",
			// "Ma contribution s'est étendue au-delà du technique, influençant directement les décisions stratégiques de l'entreprise, notamment en matière de modèle économique et de partenariats.",
			// 'Innovation technologique au cœur de la stratégie',
			// "J'ai privilégié l'adoption de technologies émergentes pour garantir notre avantage concurrentiel :|- Front-end : Svelte|- Back-end : Supabase, FastAPI, Celery|- IA et ML : Intégration de LLM dans des Chatbots (Claude, ChatGPT)|- Recherche : Elasticsearch|- Infrastructure : Kubernetes, GitLab CI/CD, Grafana, Prometheus, Loki|- Outils complémentaires : Stripe, Brevo",
			// 'Leadership et développement d’équipe',
			// "Au cours de ces trois années, j'ai constitué et dirigé une équipe pluridisciplinaire de 7 experts, comprenant des développeurs front-end, back-end, ainsi que des spécialistes en Machine Learning et Intelligence Artificielle. Mon rôle de manager a consisté à :|- Recruter des talents diversifiés et complémentaires|- Favoriser un environnement de travail collaboratif et innovant|- Assurer le développement professionnel de chaque membre de l'équipe",
			// "Cette expérience démontre ma capacité à allier expertise technique, vision stratégique et leadership, contribuant ainsi de manière significative à la croissance et à l'innovation dans le secteur des marchés publics.",

			"En tant que premier profil technique dans une entreprise de conseil spécialisée en marchés publics, j'ai joué un rôle clé dans la création d'un nouvel axe commercial, notamment en développant deux applications SaaS innovantes : MA-IA et LEX-IA.",
			'Maîtrise du Cycle de Vie des Produits SaaS',
			"J'ai piloté chaque étape du cycle de vie des produits SaaS : de l’analyse des besoins à la sélection technologique, en passant par le développement, le déploiement et la maintenance, tout en optimisant coûts et performances. Mon expertise a également influencé des décisions stratégiques liées aux modèles économiques et aux partenariats.",
			'Innovation Technologique',
			"J'ai intégré des technologies émergentes pour renforcer notre compétitivité, incluant Svelte (front-end), Supabase, FastAPI, Kubernetes, Elasticsearch, et des LLM pour les chatbots (Claude, ChatGPT), tout en assurant un écosystème fiable avec GitLab CI/CD et des outils de monitoring (Grafana, Prometheus, Loki).",
			'Leadership et Développement d’Équipe',
			"En trois ans, j'ai constitué et dirigé une équipe pluridisciplinaire de 7 experts, créant un environnement de travail innovant et propice au développement professionnel de chacun.",
			"Cette expérience illustre mon aptitude à combiner expertise technique, vision stratégique et leadership, contribuant ainsi de manière significative à l'innovation dans le secteur des marchés publics."
		]
	},
	{
		company: 'Pyxis Support',
		role: 'Développeur full stack - Freelance',
		date: '2021 (2 mois)',
		description: [
			"En tant que freelance, j'ai conçu et mis en œuvre une solution complète et performante dans le domaine des marchés publics. Ce projet répond à un besoin crucial des entités publiques : simplifier et accélérer la rédaction de leurs appels d'offres.",
			'Le fonctionnement de l’application est le suivant :|- scrapping des sites sources (DCE et avis)|- traitement et consolidation des données|- mise à disposition d’une interface de recherche avec de nombreux filtres',
			'Stack technologique :|- Backend : Python, FastAPI|- Base de données : Elasticsearch|- Frontend : Plugin WordPress personnalisé|- Déploiement : Docker, VPS',
			"En complément, j'ai développé une application novatrice permettant l'automatisation de traitements complexes sur des fichiers Excel. Cet outil, conçu pour être utilisé sans compétences techniques avancées, offre :|- Une interface utilisateur simple|- Des fichiers d'entrée et de sortie au format Excel|- Un système de configuration flexible pour personnaliser les opérations au format Excel",
			'Ces solutions sur mesure démontrent ma capacité à répondre aux besoins spécifiques des clients en alliant expertise technique et compréhension approfondie des enjeux métier.'
		]
	},
	{
		company: 'FM Logistic Corporate',
		role: 'Développeur Intégration Talend',
		date: '2018 - 2021',
		description: [
			// "Au sein de l'équipe d'intégration, j'ai joué un rôle clé dans la conception et la mise en œuvre de solutions de transfert de données sophistiquées. Utilisant la plateforme Talend, j'ai développé des flux d'échange de données robustes et efficaces, tant pour les communications internes qu'externes. Ces solutions ont impliqué l'utilisation de divers patterns ETL, ESB et API REST, interconnectant une multitude de sources et destinations, notamment S3, SFTP et diverses bases de données.",
			// 'Innovation dans la simplification des processus ETL',
			// "Dans un souci d'optimisation, j'ai conçu et implémenté une solution novatrice visant à simplifier la mise en place de flux ETL. Cette approche a permis de réduire le déploiement de nouveaux flux à une simple étape de configuration. Le défi majeur consistait à développer cette solution sans recourir à de nouveaux outils, tout en minimisant les développements spécifiques pour obtenir l'adhésion de la direction. Cette innovation, désormais centrale dans les opérations de l'entreprise, témoigne de ma capacité à allier efficacité opérationnelle et vision stratégique.",
			// "Contribution à la modernisation du Système d'Information",
			// "Mon expertise a également été sollicitée dans le cadre de nombreux projets de modernisation du SI et de sélection d'outils technologiques. J'ai notamment participé activement à :|- L'évaluation et le choix des technologies permettant la création d’une plateforme d’industrialisation de création d’API|- La sélection d’un outil de contrôle de code source et de CI/CD|- L'implémentation de solutions de Change Data Capture (CDC)",
			// "Ces contributions démontrent ma capacité à naviguer dans un environnement technologique en constante évolution et à prendre des décisions éclairées pour l'avenir de l'infrastructure IT de l'entreprise."
			"Au sein de l'équipe d'intégration, j'ai joué un rôle clé dans la conception et la mise en œuvre de solutions de transfert de données avancées à l'aide de la plateforme Talend. J'ai développé des flux d'échange de données robustes et efficaces pour les communications internes et externes, en intégrant divers patterns ETL, ESB et API REST pour interconnecter de multiples sources, telles que S3, SFTP et diverses bases de données.",
			"Innovation dans l'Optimisation des Processus ETL",
			"Pour simplifier les processus ETL, j'ai conçu une solution innovante qui réduit le déploiement de nouveaux flux à une simple étape de configuration. J'ai relevé le défi de développer cette solution sans outils supplémentaires et en limitant les développements spécifiques, obtenant ainsi l'adhésion de la direction. Cette approche, désormais au cœur des opérations de l'entreprise, illustre ma capacité à allier efficacité opérationnelle et vision stratégique.",
			"Modernisation du Système d'Information",
			"Mon expertise a également été mise à profit dans divers projets de modernisation du système d'information et de sélection d'outils technologiques, notamment en participant à :|- L'évaluation et le choix des technologies pour créer une plateforme d’industrialisation des API|- La sélection d'un outil de contrôle de code source et de CI/CD|- L'implémentation de solutions de Change Data Capture (CDC)",
			"Ces contributions témoignent de ma capacité à évoluer dans un environnement technologique dynamique et à prendre des décisions éclairées pour l’avenir de l’infrastructure IT de l'entreprise."
		]
	}
];

export const educations: Education[] = [
	{
		title: "Master 2 spécialisation Systèmes d'Information Décisionnels",
		location: 'UFR MIM Metz (57)',
		date: '2020',
		description:
			'Fouille de données, Intelligence Artificielle, Conception de systèmes d’aide à la décision, Optimisation, Conception orientée objet avancée, Sécurité des systèmes, Projet suivant la méthodologie AGILE'
	},
	{
		title: 'Licence Informatique',
		location: 'Faculté des Sciences et Technologies Nancy (54)',
		date: '2018',
		description:
			'Programmation orientée objet, interfaces graphiques, Web, réseau, optimisation, sécurité, théorie des langages Réalisation de nombreux projets (jeu en ligne, IA jeu Othello etc.)'
	}
];

export const projects: Project[] = [
	{
		name: 'Mon super projet 1',
		description: [
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?',
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?',
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?'
		],
		link: 'https://git.s-algo.com'
	},
	{
		name: 'Mon super projet 2',
		description: [
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?',
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?',
			'Lorem ipsum dolor sit amet consectetur adipisicing elit. A accusamus quo quas, ipsam commodi recusandae dolorum beatae soluta numquam impedit ad itaque ut facere cum. Asperiores voluptate quibusdam fuga ducimus?'
		]
	}
];
